(*
 * This file is part of Cafesterol.
 * Copyright (C) 2007-2009 Xavier Clerc.
 * Original file (driver/optcompile.mli in the Objective Caml source
 * distribution) is Copyright (C) INRIA.
 *
 * Cafesterol is free software; you can redistribute it and/or modify
 * it under the terms of the Q Public License as published by
 * Trolltech (with a change to choice of law).
 *
 * Cafesterol is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Q Public License for more details.
 *
 * You should have received a copy of the Q Public License
 * along with this program.  If not, see
 * <http://trolltech.com/products/qt/licenses/licensing/qpl>.
 *)

(** Compile a .ml or .mli file *)

val interface: Format.formatter -> string -> string -> unit
(** [interface fmt src prefix] compiles the interface file whose path is [src]
   and produces files with prefix [prefix]. [fmt] is used for output (errors,
   warnings). *)

val implementation: Format.formatter -> string -> string -> unit
(** [implementation fmt src prefix] compiles the implementation file whose
   path is [src] and produces files with prefix [prefix]. [fmt] is used for
   output (errors, warnings). *)

val java_file: string -> unit
(** Compiles the file whose path is passed using a Java compiler. *)

val initial_env: unit -> Env.t
(** Returns an initialized compilation environment. *)

val init_path: unit -> unit
(** Initializes the compilation path. *)
