(*
 * This file is part of Cafesterol.
 * Copyright (C) 2007-2009 Xavier Clerc.
 *
 * Cafesterol is free software; you can redistribute it and/or modify
 * it under the terms of the Q Public License as published by
 * Trolltech (with a change to choice of law).
 *
 * Cafesterol is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Q Public License for more details.
 *
 * You should have received a copy of the Q Public License
 * along with this program.  If not, see
 * <http://trolltech.com/products/qt/licenses/licensing/qpl>.
 *)

let compile_file name =
  let class_path = String.concat ":" (List.rev !Jclflags.class_path) in
  let options = String.concat " " (List.rev !Clflags.ccopts) in
  Ccomp.command
    (Printf.sprintf "%s %s %s %s"
       (match !Clflags.c_compiler with
       | Some x -> x
       | None -> "javac")
       (if class_path = "" then "" else "-cp " ^ class_path)
       options
       (Filename.quote name))
